View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001309OpenFOAM[All Projects] Bugpublic2014-05-28 10:252014-06-10 09:17
Reporterkaraul 
Assigned ToSergio 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.3.x 
Target VersionFixed in Version 
Summary0001309: in viewFactor.C , the external radiation Qrext must be included for i=j only
DescriptionOpenFOAM-2.3.x/src/thermophysicalModels/radiationModels/radiationModel/viewFactor /viewFactor.C

lines 539 and 587

under if .not.(i==j) there is
q[i] += Fmatrix_()[i][j]*sigmaT4 - QrExt[j];

must be
q[i] += Fmatrix_()[i][j]*sigmaT4; // (i.e. no QrExt[j] here)
Steps To Reproducetutorial
OpenFOAM-2.3.x/tutorials/heatTransfer/chtMultiRegionSimpleFoam/multiRegionHeaterRadiation

put in system/topAir/changeDictionaryDict nonzero Qro for any patch, e.g., topAir_to_heater and check thermal balance for the whole system it the steady state.
TagsHeat transfer, radiation, view factor
Attached Files

- Relationships

-  Notes
(0003093)
Sergio (developer)
2014-05-30 08:16

Thanks for the bug report. Resolved in commit 63d684791fd3fba34de
(0003095)
Sergio (developer)
2014-05-30 08:39

Resolved in commit 4d7c1cc2c0
(0003125)
Sergio (developer)
2014-06-10 09:16

solved in commit 3100d4fe7e0913ea93e0

- Issue History
Date Modified Username Field Change
2014-05-28 10:25 karaul New Issue
2014-05-28 10:27 karaul Tag Attached: Heat transfer
2014-05-28 10:27 karaul Tag Attached: radiation
2014-05-28 10:27 karaul Tag Attached: view factor
2014-05-30 08:16 Sergio Note Added: 0003093
2014-05-30 08:16 Sergio Status new => resolved
2014-05-30 08:16 Sergio Resolution open => fixed
2014-05-30 08:16 Sergio Assigned To => Sergio
2014-05-30 08:32 karaul Status resolved => feedback
2014-05-30 08:32 karaul Resolution fixed => reopened
2014-05-30 08:39 Sergio Note Added: 0003095
2014-05-30 08:39 Sergio Status feedback => resolved
2014-05-30 08:39 Sergio Resolution reopened => fixed
2014-05-30 08:49 karaul Status resolved => feedback
2014-05-30 08:49 karaul Resolution fixed => reopened
2014-06-10 09:16 Sergio Note Added: 0003125
2014-06-10 09:17 Sergio Status feedback => resolved
2014-06-10 09:17 Sergio Resolution reopened => fixed